public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/openexr/
Date: Sun,  2 Jun 2024 08:28:06 +0000 (UTC)	[thread overview]
Message-ID: <1717316883.af895f7ad5eb5bca8ac767ae0554a8829d06f2a6.juippis@gentoo> (raw)

commit:     af895f7ad5eb5bca8ac767ae0554a8829d06f2a6
Author:     Aliaksei Urbanski <aliaksei.urbanski <AT> gmail <DOT> com>
AuthorDate: Tue Mar 26 23:06:49 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jun  2 08:28:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af895f7a

media-libs/openexr: add 3.2.4

Release:
  - https://github.com/AcademySoftwareFoundation/openexr/releases/tag/v3.2.4

Changelog:
  - https://github.com/AcademySoftwareFoundation/openexr/blob/v3.2.4/CHANGES.md#version-324-march-26-2024

Signed-off-by: Aliaksei Urbanski <aliaksei.urbanski <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/35940
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-libs/openexr/Manifest             |   1 +
 media-libs/openexr/openexr-3.2.4.ebuild | 141 ++++++++++++++++++++++++++++++++
 2 files changed, 142 insertions(+)

diff --git a/media-libs/openexr/Manifest b/media-libs/openexr/Manifest
index 70d169cd8c7b..3e7335cd43f1 100644
--- a/media-libs/openexr/Manifest
+++ b/media-libs/openexr/Manifest
@@ -3,4 +3,5 @@ DIST openexr-3.1.5.tar.gz 20327926 BLAKE2B 77ece3c62b34292d4714873149a5a54a47fe8
 DIST openexr-3.1.7.tar.gz 20494812 BLAKE2B 2cc03ed8da77f4a9523b7a0f55c78e78ab55f8f6de67cb68f1b2b4ad4b512448d80f39d60a0cc9eab451da35539027a573a0c6d6900e7f81b39f90703909b5af SHA512 f72f5e728f10c06fca0172c9b4c1df752225c3aed7384b4eaa502f92f8547bb1df93fe96d4d132a81eb32b729cb9fd615be825aa6c5de78481d3038c0d47c4d5
 DIST openexr-3.1.12.tar.gz 20540857 BLAKE2B 94a78e4e45f892b56f9a05cabad5cea999ff1844ff8569995f1f301e8599e0be1c214477f501f351c248eea141db22508eb764c1c91508399e69932026361c04 SHA512 0fce6a1322d74354a29ece9f9afeca1c4874c4d55079ec720f3ef21ab2ab950ec333f793f1ffad6634f57b40c4276af578b31ac8bc3e11856d7b903d5475e5eb
 DIST openexr-3.2.3.tar.gz 18855303 BLAKE2B 4f5dbd9033031e988e973ef039b67632ac92e1272cc1d3e4540992f09f6b275c3ecb4c8f690cd98620519993099d132b43bb4bb40bb0d11caa06db868404015a SHA512 6e0a6fdcfae57c6e8b060d9aeed57140d96d39bffe5e40edd6ea5beb06e569323833d07906316ffca05f48e8409d0ea4174e2cd84d554404a4ee432e07d7b5e6
+DIST openexr-3.2.4.tar.gz 18856440 BLAKE2B f29910b2e36808b741860bf603571f607ca929672b3c5b9de7c7c16242f2a38d02627614c10e7b01a8cfd8804923636eb0dfe2c798ec3ff63252dd20e3f8e535 SHA512 ecc3d8b206bda5e5897ac9cd797a8432b76981de10d49cbb107af2b4108c22186de0dda25a9a43b07e18d641ef71508445d95f659a4ca932e029d48ee029a492
 DIST openexr-images-1.0.tar.gz 252222962 BLAKE2B d57c458dfbd1b08c964429022b6e08a3309bf11cbd43c64e271ebc620dae6dbe70636e5221f47dabd7fe2aa0806f2cf3f3c9b3f55fd7f45b0a34f3e62b6029e7 SHA512 c1c83a26cd326d0fcda824daccb0044abad46f29e1bd2ceb1c38bc62b3e71f0aeef126dddc4517eb1cb9f7c9d0fe234276a48a754bdb7c7823e9aee459d8670a

diff --git a/media-libs/openexr/openexr-3.2.4.ebuild b/media-libs/openexr/openexr-3.2.4.ebuild
new file mode 100644
index 000000000000..64a9413f9ad3
--- /dev/null
+++ b/media-libs/openexr/openexr-3.2.4.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic
+
+MY_PN=OpenEXR
+
+DESCRIPTION="ILM's OpenEXR high dynamic-range image file format libraries"
+HOMEPAGE="https://openexr.com/"
+SRC_URI="
+	https://github.com/AcademySoftwareFoundation/openexr/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	test? (
+		utils? (
+			https://github.com/AcademySoftwareFoundation/openexr-images/archive/refs/tags/v1.0.tar.gz
+			  -> openexr-images-1.0.tar.gz
+		)
+	)
+"
+
+LICENSE="BSD"
+SLOT="0/31" # based on SONAME
+# -ppc -sparc because broken on big endian, bug #818424
+KEYWORDS="~amd64 ~arm ~arm64 ~loong -ppc ~ppc64 ~riscv -sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+IUSE="cpu_flags_x86_avx doc examples large-stack utils test threads"
+REQUIRED_USE="doc? ( utils )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	app-arch/libdeflate[zlib]
+	>=dev-libs/imath-3.1.6:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( sys-apps/help2man )
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-3.2.1-bintests-iff-utils.patch"
+)
+
+DOCS=( CHANGES.md GOVERNANCE.md PATENTS README.md SECURITY.md )
+
+src_prepare() {
+	# Fix path for testsuite
+	sed -e "s:/var/tmp/:${T}:" \
+		-i "${S}"/src/test/${MY_PN}Test/tmpDir.h || die "failed to set temp path for tests"
+
+	sed -e "s:if(INSTALL_DOCS):if(OPENEXR_INSTALL_DOCS):" \
+		-i docs/CMakeLists.txt || die
+
+	cmake_src_prepare
+
+	if use test && use utils; then
+		IMAGES=(
+			Beachball/multipart.0001.exr
+			Beachball/singlepart.0001.exr
+			Chromaticities/Rec709.exr
+			Chromaticities/Rec709_YC.exr
+			Chromaticities/XYZ.exr
+			Chromaticities/XYZ_YC.exr
+			LuminanceChroma/Flowers.exr
+			LuminanceChroma/Garden.exr
+			MultiResolution/ColorCodedLevels.exr
+			MultiResolution/WavyLinesCube.exr
+			MultiResolution/WavyLinesLatLong.exr
+			MultiView/Adjuster.exr
+			TestImages/GammaChart.exr
+			TestImages/GrayRampsHorizontal.exr
+			v2/LeftView/Balls.exr
+			v2/Stereo/Trunks.exr
+		)
+
+		mkdir -p "${BUILD_DIR}/src/test/bin" || die
+
+		for image in "${IMAGES[@]}"; do
+			mkdir -p "${BUILD_DIR}/src/test/bin/$(dirname "${image}")" || die
+			cp -a "${WORKDIR}/openexr-images-1.0/${image}" "${BUILD_DIR}/src/test/bin/${image}" || die
+		done
+	fi
+
+}
+
+src_configure() {
+	if use x86; then
+		replace-cpu-flags native i686
+	fi
+
+	local mycmakeargs=(
+		-DOPENEXR_CXX_STANDARD="17"
+
+		-DBUILD_SHARED_LIBS="yes"
+		-DBUILD_TESTING="$(usex test)"
+		-DBUILD_WEBSITE="no"
+
+		-DOPENEXR_BUILD_EXAMPLES="$(usex examples)"
+		-DOPENEXR_BUILD_PYTHON="no"
+		-DOPENEXR_BUILD_TOOLS="$(usex utils)"
+		-DOPENEXR_ENABLE_LARGE_STACK="$(usex large-stack)"
+		-DOPENEXR_ENABLE_THREADING="$(usex threads)"
+
+		-DOPENEXR_INSTALL="yes"
+		-DOPENEXR_INSTALL_DOCS="$(usex doc)"
+		-DOPENEXR_INSTALL_PKG_CONFIG="yes"
+		-DOPENEXR_INSTALL_TOOLS="$(usex utils)"
+
+		-DOPENEXR_USE_CLANG_TIDY="no" # don't look for clang-tidy
+
+		-DOPENEXR_FORCE_INTERNAL_DEFLATE="no"
+		-DOPENEXR_FORCE_INTERNAL_IMATH="no"
+	)
+	if use test; then
+		# OPENEXR_RUN_FUZZ_TESTS depends on BUILD_TESTING, see
+		#   - https://bugs.gentoo.org/925128
+		#   - https://openexr.com/en/latest/install.html#component-options
+
+		# NOTE: the fuzz tests are very slow
+		mycmakeargs+=( -DOPENEXR_RUN_FUZZ_TESTS="ON" )
+	fi
+
+	cmake_src_configure
+}
+
+src_test() {
+	local CMAKE_SKIP_TESTS=()
+
+	use x86 && CMAKE_SKIP_TESTS+=(
+		'^OpenEXR.testDwaLookups$'
+	)
+
+	cmake_src_test
+}
+
+src_install() {
+	use examples && docompress -x "/usr/share/doc/${PF}/examples"
+
+	cmake_src_install
+}


             reply	other threads:[~2024-06-02  8:28 UTC|newest]

Thread overview: 123+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-02  8:28 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-12 19:25 [gentoo-commits] repo/gentoo:master commit in: media-libs/openexr/ Arthur Zamarin
2025-02-12 19:25 Arthur Zamarin
2025-02-12 18:16 Sam James
2025-01-08 10:35 Michał Górny
2025-01-05 20:35 Sam James
2024-10-04 21:40 Andreas Sturmlechner
2024-09-23  8:21 Arthur Zamarin
2024-08-29 16:14 Mike Gilbert
2024-06-02 14:46 Sam James
2024-06-02  3:29 Sam James
2024-06-02  3:28 Sam James
2024-06-02  3:27 Sam James
2024-03-17 14:23 Florian Schmaus
2024-03-17 12:39 Sam James
2024-02-21  1:48 Sam James
2024-02-20 18:33 Arthur Zamarin
2023-12-22 11:41 Joonas Niilola
2023-12-21 15:15 Sam James
2023-10-27  3:20 Sam James
2023-10-27  2:59 Sam James
2023-10-27  2:34 Sam James
2023-09-08  7:17 Joonas Niilola
2023-09-08  7:17 Joonas Niilola
2023-04-10  7:37 Joonas Niilola
2023-01-13  0:20 Yixun Lan
2023-01-13  0:08 Yixun Lan
2023-01-11  8:32 Sam James
2023-01-11  8:23 Arthur Zamarin
2022-11-23 17:55 Joonas Niilola
2022-11-15 18:03 Joonas Niilola
2022-09-29  5:53 Joonas Niilola
2022-09-28  9:55 Joonas Niilola
2022-08-15 14:10 Andreas Sturmlechner
2022-07-03 23:54 Sam James
2022-06-22 16:59 Arthur Zamarin
2022-06-22  7:01 Joonas Niilola
2022-06-22  7:01 Joonas Niilola
2022-05-17 12:48 WANG Xuerui
2022-04-22 18:18 Arthur Zamarin
2022-04-21 13:00 Jakov Smolić
2022-04-19  6:41 Joonas Niilola
2022-04-15  6:18 Joonas Niilola
2022-03-31 18:45 Jakov Smolić
2022-03-01  1:12 Sam James
2022-03-01  0:02 Sam James
2022-02-28 23:58 Sam James
2022-02-28  5:21 Sam James
2022-02-15 19:51 Sam James
2022-02-07  5:49 Sam James
2022-02-05  6:34 Sam James
2022-02-02  7:54 Sam James
2022-01-28  7:53 Sam James
2022-01-09 15:48 Andreas Sturmlechner
2022-01-09 15:48 Andreas Sturmlechner
2022-01-08 13:57 Yixun Lan
2021-11-26  4:30 Sam James
2021-11-14  4:42 Sam James
2021-11-05  4:03 Sam James
2021-10-27 22:33 Sam James
2021-10-27  4:14 Sam James
2021-10-17  2:22 Sam James
2021-10-16  9:15 Sam James
2021-10-16  9:15 Sam James
2021-10-09  8:05 Sam James
2021-10-09  7:59 Sam James
2021-10-09  7:59 Sam James
2021-10-09  7:59 Sam James
2021-10-09  7:59 Sam James
2021-08-12  6:45 Joonas Niilola
2021-08-05 11:11 Sergei Trofimovich
2021-07-22 15:01 Sergei Trofimovich
2021-07-21 21:57 Marek Szuba
2021-07-10 15:40 Sam James
2021-07-10 12:37 John Helmert III
2021-07-10 10:43 Agostino Sarubbo
2021-06-17 15:56 Sergei Trofimovich
2021-06-05  9:45 Sergei Trofimovich
2021-06-03 16:26 Sam James
2021-06-02 19:01 Sam James
2021-06-02 19:01 Sam James
2021-06-01  0:28 Sam James
2021-05-04 22:02 Sam James
2021-02-27 16:38 Sam James
2021-02-27 16:38 Sam James
2021-02-26 17:34 Sergei Trofimovich
2021-02-26 15:18 Sam James
2021-02-26  8:09 Agostino Sarubbo
2021-02-25 19:00 Sam James
2021-02-25 17:57 Sam James
2021-02-25 14:02 Sam James
2021-02-25 11:31 Sam James
2021-02-16 19:19 Sam James
2021-02-09 14:11 Sergei Trofimovich
2021-02-07 17:07 Conrad Kostecki
2021-01-24  1:48 Sam James
2021-01-24  1:48 Sam James
2020-12-27 21:47 Sam James
2020-12-27 21:40 Sam James
2020-12-22  6:06 Sam James
2020-10-07 18:10 Sam James
2020-10-07 17:55 Sam James
2020-09-20 16:28 Thomas Deutschmann
2020-09-14 16:34 Sergei Trofimovich
2020-08-12 19:01 Sergei Trofimovich
2020-08-07 11:44 Agostino Sarubbo
2020-08-06  2:10 Sam James
2020-07-21 19:39 Andreas Sturmlechner
2020-06-28 20:57 Aaron Bauman
2019-06-15 21:06 Sergei Trofimovich
2019-04-28 13:03 Sergei Trofimovich
2019-04-28  7:42 Sergei Trofimovich
2019-04-24 21:33 Thomas Deutschmann
2019-04-23  0:46 Aaron Bauman
2019-04-20 18:08 Sergei Trofimovich
2019-04-20 13:57 Pacho Ramos
2019-04-07 22:15 Aaron Bauman
2019-03-26 22:38 Aaron Bauman
2018-03-26 13:51 Craig Andrews
2018-01-28 14:08 Mikle Kolyada
2017-12-10 21:28 Sergei Trofimovich
2017-01-29 19:15 Fabian Groffen
2015-11-18  9:32 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1717316883.af895f7ad5eb5bca8ac767ae0554a8829d06f2a6.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox